> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payout/retrieve-qrcode-data/philippines.md).

# Philippines

## Retrieve QRCode Data

This endpoint allows you to retrieve QRCode data for payout in Philippines.

<mark style="color:green;">`POST`</mark> `https://api.transfersmile.com/api/payout/bank-account-list`

## Request Body

| Parameter     | Type   | Required | Constraints                | Description                                    |
| ------------- | ------ | -------- | -------------------------- | ---------------------------------------------- |
| account       | string | Yes      | Max length: 255 characters | The QRCode account data.                       |
| account\_type | string | Yes      | Fixed value: `QRCODE`      | Account type.                                  |
| timestamp     | string | Yes      | Unix timestamp             | unix timestamp, e.g. 1628512575                |
| method        | string | Yes      | Fixed value: `QRCODE`      | Payout method.                                 |
| country       | string | Yes      | Fixed value: `PHL`         | Country code.                                  |
| buyer\_id     | string | No       | Max length: 200 characters | The unique customer ID in the merchant system. |
| email         | string | No       | Max length: 200 characters | Customer email address.                        |

## Request Sample

```json
{
  "account": "00020101021127781111com.p2pqrpay********",
  "account_type": "QRCODE",
  "timestamp": "1782377395",
  "method": "QRCODE",
  "country": "PHL",
  "buyer_id": "********",
  "email": "test@example.com"
}
```

## Response

```json
{
  "code": 200,
  "msg": "success",
  "time": 1782377397,
  "data": [
    {
      "name": "Pagsmile test",
      "document_id": "",
      "document_type": "",
      "bank_code": "PAPHPHM1XXX",
      "bank_name": "paymaya",
      "bank_number": "",
      "account": "6**********2",
      "account_type": "",
      "amount": "",
      "scan_id": "QH2026********",
      "qrcode_type": "DYNAMIC_INSTANT_PAYMENT"
    }
  ]
}
```

### Sandbox QR Code Test Data

Use the following sandbox QR codes to test the Retrieve QRCode Data API in the Philippines.

#### Static QR Code

```
000201010211012com.p2pqrpayAPHPHM1XX20515+63-962-58788425204601921MRK AUN P ATIN6014Ls P City63047A9***PHL_STATIC
```

**Response Sample**

```json
{
  "code": 200,
  "msg": "success",
  "time": 1784014051,
  "data": [
    {
      "name": "Test User Name",
      "document_id": "",
      "document_type": "",
      "bank_code": "12********90",
      "bank_name": "G********H",
      "bank_number": "",
      "account": "92********00",
      "account_type": "",
      "amount": "",
      "scan_id": "QH2026********",
      "qrcode_type": "STATIC"
    }
  ]
}
```

#### Dynamic QR Code

```
000201010211012com.p2pqrpayAPHPHM1XX20515+63-962-58788425204601921MRK AUN P ATIN6014Ls P City63047A9***PHL_DYNAMIC
```

**Response Sample**

```json
{
  "code": 200,
  "msg": "success",
  "time": 1784014061,
  "data": [
    {
      "name": "Test User NamePL",
      "document_id": "",
      "document_type": "",
      "bank_code": "12********90",
      "bank_name": "G********H",
      "bank_number": "",
      "account": "22********22",
      "account_type": "",
      "amount": "100",
      "scan_id": "QH2026********",
      "qrcode_type": "DYNAMIC_INSTANT_PAYMENT"
    }
  ]
}
```

#### Invalid QR Code

```
000201010211012com.p2pqrpayAPHPHM1XX20515+63-962-58788425204601921MRK AUN P ATIN6014Ls P City63047A9***PHL_INVALID
```

**Response Sample**

```json
{
  "code": 400,
  "msg": "Invalid QR Code",
  "time": 1784014071,
  "data": {}
}
```
